<?php
// $Id: page.tpl.php,v 1.1 2010/11/22 14:09:11 alduya Exp $
/**
 * @file
 * Custom page template for the DeskO2 theme.
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >
  <head>
    <title><?php print $head_title; ?></title>
    <?php print $head; ?>
    <?php print $styles; ?>
    <!--[if IE 6]>
      <?php print desk02_gradiel_get_ie_styles(); ?>
    <![endif]-->
    <?php print $scripts; ?>
  </head>
  
  <body id="home" class="<?php print $body_classes; ?>"><?php if (!empty($admin)) print $admin; ?>
    <div id="container">
      <div id="wrapper">
      <div id="header">

        <div id="header-top">
          <div id="secondary-menu">
          <?php if ($secondary_links): ?>
            <?php print theme('links', array_reverse($secondary_links)); ?>
          <?php endif; ?>
          </div><!-- /#secondary-menu -->
          <div id="primary-menu">
          <?php if ($primary_links): ?>
            <?php print desk02_gradiel_primary($primary_links); ?>
          <?php endif; ?>
          </div><!-- /#primary-menu -->
          <div id="search-box">
          <?php if ($search_box): ?>
            <?php print $search_box; ?>
            
          <?php endif; ?>
          </div><!-- /#search-box -->
        </div><!-- end header-top -->

      <?php if ($logo || $site_name): ?>
        <div id="header-branding">
            <?php
              if ($logo) {
                print '<a href="'. check_url($front_page) .'" title="'. $site_name .'"><img src="'. check_url($logo) .'" alt="'. $site_name .'" id="logo" /></a>';
              }
              print '<h1><a href="'. check_url($front_page) .'" title="'. $site_name .'">'. $site_name .'</a></h1>';
            ?>
        </div><!-- end header-branding -->
      <?php endif; ?>
      </div><!-- end header -->

    <?php if ($top && $is_front): ?>
      <div id="top" class="region region-top">
        <?php print $top; ?>
      </div> <!-- end top -->
    <?php endif; ?>

      <div id="main">
        <div id="content">
          <?php if ($breadcrumb): ?>
          <div id="breadcrumb">
            <?php print $breadcrumb; ?>
          </div><!-- /breadcrumb -->
          <?php endif; ?>
          <?php if ($messages) { print $messages; } ?>
          <?php if ($title): ?>
          <h1 class="title"><?php print $title; ?></h1>
          <?php endif; ?>
          <?php if ($tabs): ?>
          <div id="content-tabs">
            <?php print $tabs; ?>
          </div><!-- end content-tabs -->
          <?php endif; ?>
          <?php print $content; ?>
        </div>

      <?php if ($right): ?>
        <div id="sidebar-right" class="region region-right">
          <?php print $right; ?>
        </div><!-- end sidebar-right -->
      <?php endif; ?>

      </div><!-- end main -->

      <?php if ($footer || $footer_message): ?>
        <div id="footer">
          <?php print $footer; ?>
          <?php if ($footer_message): ?>
            <div id="footer-message"><?php print $footer_message; ?></div>
          <?php endif; ?>
        </div> <!-- end footer -->
        <!-- Credit where credit is due -->
        <p class="credit"><a href="http://www.desk02.be" title="Webdesign by Desk02">Webdesign by Desk02</a></p>
      <?php endif; ?>
      <?php print $closure; ?>

      </div><!-- end wrapper -->
    </div><!-- end container -->
  </body>
</html>