<?php
// $Id: template.php,v 1.1 2010/11/22 14:09:12 alduya Exp $
/**
 * @file
 * Adds Custum functionality for the desk02_gradiel theme.
 */

function desk02_gradiel_breadcrumb($breadcrumb) {
  global $language;
  
  if (!empty($breadcrumb)) {
    if ($language->direction == LANGUAGE_LTR) {
      return '<div class="breadcrumb">'. implode(' &raquo; ', $breadcrumb) .'</div>';
    }
    elseif ($language->direction == LANGUAGE_RTL) {
      return '<div class="breadcrumb">'. implode(' &laquo; ', array_reverse($breadcrumb)) .'</div>';
    }
  }
}

function desk02_gradiel_preprocess_block(&$variables) {
  $variables['block_count'] = count(block_list($variables['block']->region));
}

function desk02_gradiel_preprocess_page(&$variables) {
  if (module_exists('color')) {
    _color_page_alter($variables);
  }
}

/**
 * Modified version of theme_links(). Return a themed set of links. Ads a span tag inside the a tag to allow for sliding doors.
 *
 * @param $links
 *   A keyed array of links to be themed.
 * @param $attributes
 *   A keyed array of attributes
 * @return
 *   A string containing an unordered list of links.
 */
function desk02_gradiel_primary($links, $attributes = array('class' => 'links')) {
  global $language;
  $output = '';

  if (count($links) > 0) {
    $output = '<ul'. drupal_attributes($attributes) .'>';

    $num_links = count($links);
    $i = 1;

    foreach ($links as $key => $link) {
      $class = $key;

      // Add a span tag inside the a tag to allow for sliding doors.
      $link['title'] = '<span class="active-trail">' . check_plain($link['title']) . '</span>';
      $link['html'] = TRUE;

      // Add first, last and active classes to the list of links to help out themers.
      if ($i == 1) {
        $class .= ' first';
      }
      if ($i == $num_links) {
        $class .= ' last';
      }
      if (isset($link['href']) && ($link['href'] == $_GET['q'] || ($link['href'] == '<front>' && drupal_is_front_page()))
          && (empty($link['language']) || $link['language']->language == $language->language)) {
        $class .= ' active';
      }
      $output .= '<li'. drupal_attributes(array('class' => $class)) .'>';

      if (isset($link['href'])) {
        // Pass in $link as $options, they share the same keys.
        $output .= l($link['title'], $link['href'], $link);
      }
      elseif (!empty($link['title'])) {
        // Some links are actually not links, but we wrap these in <span> for adding title and class attributes
        if (empty($link['html'])) {
          $link['title'] = check_plain($link['title']);
        }
        $span_attributes = '';
        if (isset($link['attributes'])) {
          $span_attributes = drupal_attributes($link['attributes']);
        }
        $output .= '<span'. $span_attributes .'>'. $link['title'] .'</span>';
      }

      $i++;
      $output .= "</li>\n";
    }

    $output .= '</ul>';
  }

  return $output;
}

/**
 * Generates IE CSS links for LTR and RTL languages.
 */
function desk02_gradiel_get_ie_styles() {
  return '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/ie6.css" />';
}

/**
 * Add first / last classes to blocks in a region
 */
 
function desk02_gradiel_blocks($region) {
  $output = '';

  if ($list = block_list($region)) {
    $blockcounter = 1;
    foreach ($list as $key => $block) {
      $block->extraclass = '';
      $block->extraclass .= ( $blockcounter == 1 ? ' block-first' : '' );  
      $block->extraclass .= ( $blockcounter == count($list) ? ' block-last' : '' );  
      $output .= theme('block', $block);
      $blockcounter++;
    }
  }

  // Add any content assigned to this region through drupal_set_content() calls.
  $output .= drupal_get_content($region);

  return $output;
}
?>